## osmosis 0.34+ds1

=== debian/changelog ===
osmosis (0.34+ds1-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream version
  * debian/control:
    - updated my e-mail address
    - DMUA removed
    - added missing Build-Dependencies: libcommons-compress-java,
      libcommons-codec-java
    - added pkg-osm to Uploaders
    - Standards-Version bumped to 3.8.4, no changes needed
    - rewrapped for easier diff'ing
    - add alternative openjdk-6-jre dependency to java6-runtime
    - add dependency on libplexus-classworlds-java, libcommons-codec-java
      and libcommons-compress-java
  * debian/rules:
    - updated get-orig-source target to strip unwanted *.jar files
  * debian/copyright updated
  * debian/source/format added, using 3.0 (quilt)
  * debian/patches/:
    - 00-fix_build.patch added, fixes FTBFS because of missing file
      in upstream tarball
    - 01-fix_launcher.patch added, correctly point to the right paths
    - 02-fix_plexus.patch added, fix Plexus configuration with the
      right paths
  * debian/osmosis.1 statically generated, so to remove unneeded
    Build-Dependencies
  * debian/watch: use dversionmangle
  * debian/install: install plexus.conf in /etc/osmosis/

  [ Giovanni Mascellani ]
  * debian/*: updated my email address
  * debian/watch: updated to new upstream distribution location

 -- David Paleino <dapal@debian.org>  Thu, 01 Apr 2010 01:13:13 +0200

osmosis (0.31.2-2) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Fixed some path mistakes and missing files in output JAR
    (closes: #550151, #550149)
  * Vcs-* fields updated

 -- David Paleino <d.paleino@gmail.com>  Fri, 09 Oct 2009 00:53:42 +0200

osmosis (0.31.2-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Initial release (Closes: #497457).

  [ Francesco Paolo Lovergine ]
  * Added docbook-xml among build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 05 Oct 2009 22:25:18 +0200
