=== debian/control ===
Source: osmosis
Section: utils
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders:
 Giovanni Mascellani <mascellani@poisson.phc.unipi.it>
 , David Paleino <dapal@debian.org>
 , Francesco Paolo Lovergine <frankie@debian.org>
 , Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Build-Depends:
 ant
 , ant-optional
 , cdbs
 , debhelper (>= 7)
 , libcommons-codec-java
 , libcommons-compress-java
 , libcommons-dbcp-java
 , libjpf-java
 , libmysql-java
 , libpostgis-java
 , libpg-java
 , libspring-beans-2.5-java
 , libspring-jdbc-2.5-java
 , libspring-tx-2.5-java
 , libwoodstox-java
 , openjdk-6-jdk
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/pkg-grass/osmosis.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/osmosis.git
Homepage: http://wiki.openstreetmap.org/wiki/Osmosis

Package: osmosis
Architecture: all
Depends:
 ant
 , openjdk-6-jre | java6-runtime
 , libcommons-codec-java
 , libcommons-compress-java
 , libcommons-dbcp-java
 , libjpf-java
 , libmysql-java
 , libpostgis-java
 , libpg-java
 , libspring-beans-2.5-java
 , libspring-jdbc-2.5-java
 , libspring-tx-2.5-java
 , libwoodstox-java
 , libplexus-classworlds-java
 , ${misc:Depends}
Description: Command line OpenStreetMap data processor
 Osmosis consists of a series of components that can be chained together
 in order to perform operations on an OpenStreetMap database or
 OpenStreetMap XML files. Such operations include:
  * Generate and load dumps from and to a database.
  * Produce changesets comparing databases and files and applying
    them to other databases and files.
  * Sort data contained in a file.
  * Extract data contained in a bounding box or in a polygon.
