=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/java-6-openjdk/

DEB_JARS := /usr/share/java/mysql-connector-java.jar
DEB_JARS += /usr/share/java/postgis.jar
DEB_JARS += /usr/share/java/postgresql.jar
DEB_JARS += /usr/share/java/wstx-lgpl.jar
DEB_JARS += /usr/share/java/junit4.jar
DEB_JARS += /usr/share/java/ant-junit.jar
DEB_JARS += /usr/share/java/spring-core.jar
DEB_JARS += /usr/share/java/spring-jdbc.jar
DEB_JARS += /usr/share/java/spring-beans.jar
DEB_JARS += /usr/share/java/spring-tx.jar
DEB_JARS += /usr/share/java/commons-dbcp.jar
DEB_JARS += /usr/share/java/jpf.jar
DEB_JARS += /usr/share/java/commons-compress.jar
DEB_JARS += /usr/share/java/commons-codec.jar

DEB_ANT_BUILD_TARGET := build_binary
#DEB_ANT_BUILD_TARGET := build_binary javadoc
#DEB_ANT_CHECK_TARGET := test

DEB_INSTALL_CHANGELOGS_ALL := changes.txt

DB2MAN := /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP := xsltproc -''-nonet -''-param man.charmap.use.subset "0"

SVNBASE := http://svn.openstreetmap.org/applications/utils/osmosis/tags
SVNREPO := ${SVNBASE}/${VERSION}
DESTDIR := ../tarballs/osmosis-${VERSION}
DESTTGZ := ../tarballs/osmosis_${VERSION}.orig.tar.gz
CURVER  := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1)

debian/osmosis.1: debian/osmosis.xml
	$(XP) -o $@ $(DB2MAN) $<

get-orig-source:
	dh_testdir
#	test -d ../tarballs/. || mkdir -p ../tarballs
#	@echo Downloading osmosis from ${SVNREPO}
#	svn export ${SVNREPO} ${DESTDIR}
#	@echo Removing repo and debian directory
#	rm -rf ${DESTDIR}/repo ${DESTDIR}/debian
#	@echo Building snapshot tarball																	
#	tar czf ${DESTTGZ} -C `dirname ${DESTDIR}` `basename ${DESTDIR}`
#	@echo Cleaning up
#	rm -rf ${DESTDIR}
#	@echo .
#	@echo To update debian/changelog type
#	@echo dch -v ${VERSION}-1
#	@echo .
	uscan \
		--verbose \
		--destdir . \
		--force-download \
		--download-version $(CURVER)
	tar xvf osmosis-$(CURVER).tar.gz
	tar zcf osmosis_$(CURVER)+ds1.orig.tar.gz \
		--exclude *.jar \
		osmosis-$(CURVER)/
	rm -rf osmosis-$(CURVER).tar.gz osmosis-$(CURVER)/
