=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d+$// \
http://bretth.dev.openstreetmap.org/osmosis-build/osmosis-([.0-9]*)\.tar\.gz
