## osmosis 0.39+ds1

=== debian/changelog ===
osmosis (0.39+ds1-6) unstable; urgency=low

  * Fix plexus config file to correctly point to jars (Closes: #647452)

 -- David Paleino <dapal@debian.org>  Wed, 02 Nov 2011 21:54:01 +0100

osmosis (0.39+ds1-5) unstable; urgency=low

  * Add dependency to libcommons-pool-java (Closes: #644712)
  * Provide a log4j config file, thanks to Alberto Fernández (Closes: #579206)
  * Osmosis configuration file is now set to /etc/osmosis/osmosis.conf
    (Closes: #644841)

 -- David Paleino <dapal@debian.org>  Sun, 09 Oct 2011 20:12:58 +0200

osmosis (0.39+ds1-4) unstable; urgency=low

  * 00-fix_build_system.patch updated: don't hardcode version number
    in jar filenames.
  * 01-fix_launcher.patch fixed: osmosis.jar doesn't exist anymore.
  * 02-fix_plexus.patch: use ${app.home} instead of hardcoding osmosis
    path.

 -- David Paleino <dapal@debian.org>  Sat, 01 Oct 2011 22:21:58 +0200

osmosis (0.39+ds1-3) unstable; urgency=low

  * Fix plexus config file not to load duplicate jars, by hardcoding
    osmosis' version number in it.

 -- David Paleino <dapal@debian.org>  Thu, 29 Sep 2011 11:44:16 +0200

osmosis (0.39+ds1-2) unstable; urgency=low

  * Complete switch from Spring Framework 2.5 to 3.0 (Closes: #638539)
  * Add unversioned .jar symlinks to /usr/share/osmosis/

 -- David Paleino <dapal@debian.org>  Wed, 28 Sep 2011 20:33:50 +0200

osmosis (0.39+ds1-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream release (closes: #605698)
  * Fix get-orig-source target in debian/rules
  * Use debhelper compatibility 8
  * Bump Standards-Version to 3.9.2, no changes needed
  * Fix debian/rules to support multi-archified java
  * Package moved from pkg-grass to pkg-osm
  * Package switched from cdbs to dh7

  [ Giovanni Mascellani ]
  * debian/watch: updated
  * debian/patches:
    - 00-fix_build.patch: removed, build system has completely changed;
    - 01-fix_launcher.patch, 02-fix_plexus.patch: files moved, conflicts
      resolved.
  * Depend on headless runtime environment and use default-jdk at
    building time (closes: #613135).

 -- David Paleino <dapal@debian.org>  Wed, 28 Sep 2011 19:03:10 +0200
