=== debian/control ===
Source: osmosis
Section: utils
Priority: optional
Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders:
 Giovanni Mascellani <gio@debian.org>
 , David Paleino <dapal@debian.org>
Build-Depends:
 ant
 , ant-optional
 , debhelper (>= 8~)
 , libcommons-codec-java
 , libcommons-compress-java
 , libcommons-dbcp-java
 , libjpf-java
 , libmysql-java
 , libpostgis-java
 , libpg-java
 , libspring-beans-java
 , libspring-context-java
 , libspring-jdbc-java
 , libspring-transaction-java
 , libwoodstox-java
 , libstax2-api-java
 , libbatik-java
 , libprotobuf-java
 , libosmpbf-java
 , libplexus-classworlds-java
 , checkstyle
 , ivy
 , junit4
 , default-jdk
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-osm/osmosis.git
Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmosis.git
Homepage: http://wiki.openstreetmap.org/wiki/Osmosis

Package: osmosis
Architecture: all
Depends:
 ant
 , default-jre-headless | java6-runtime-headless
 , libcommons-codec-java
 , libcommons-compress-java
 , libcommons-dbcp-java
 , libjpf-java
 , libmysql-java
 , libpostgis-java
 , libpg-java
 , libspring-beans-java
 , libspring-context-java
 , libspring-core-java
 , libspring-jdbc-java
 , libspring-transaction-java
 , libwoodstox-java
 , libplexus-classworlds-java
 , libprotobuf-java
 , libosmpbf-java
 , libbatik-java
 , libcommons-pool-java
 , ${misc:Depends}
Description: Command line OpenStreetMap data processor
 Osmosis consists of a series of components that can be chained together
 in order to perform operations on an OpenStreetMap database or
 OpenStreetMap XML or PBF files. Such operations include:
  * Generate and load dumps from and to a database.
  * Produce changesets comparing databases and files and applying
    them to other databases and files.
  * Sort data contained in a file.
  * Extract data contained in a bounding box or in a polygon.
