=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME := /usr/lib/jvm/default-java/

DEB_JARS := /usr/share/java/mysql-connector-java.jar
DEB_JARS += /usr/share/java/postgis.jar
DEB_JARS += /usr/share/java/postgresql.jar
DEB_JARS += /usr/share/java/wstx-lgpl.jar
DEB_JARS += /usr/share/java/junit4.jar
DEB_JARS += /usr/share/java/ant-junit.jar
DEB_JARS += /usr/share/java/spring3-core.jar
DEB_JARS += /usr/share/java/spring3-jdbc.jar
DEB_JARS += /usr/share/java/spring3-beans.jar
DEB_JARS += /usr/share/java/spring3-transaction.jar
DEB_JARS += /usr/share/java/commons-dbcp.jar
DEB_JARS += /usr/share/java/jpf.jar
DEB_JARS += /usr/share/java/commons-compress.jar
DEB_JARS += /usr/share/java/commons-codec.jar
DEB_JARS += /usr/share/java/batik-ext.jar

# Plugins for ant
DEB_JARS += /usr/share/java/ant-nodeps.jar

export CLASSPATH=$(shell echo $(DEB_JARS) | sed -e 's/ /:/g')

DB2MAN := /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP := xsltproc -''-nonet -''-param man.charmap.use.subset "0"

CURVER  := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
SVNBASE := http://svn.openstreetmap.org/applications/utils/osmosis/tags
SVNREPO := ${SVNBASE}/${CURVER}
DESTDIR := ../tarballs/osmosis-${CURVER}
DESTTGZ := ../tarballs/osmosis_${CURVER}+ds1.orig.tar.gz

debian/osmosis.1: debian/osmosis.xml
	$(XP) -o $@ $(DB2MAN) $<

%:
	dh $@

override_dh_auto_build:
	echo $(CLASSPATH)
	dh_auto_build -- -Dproject.version=$(CURVER)

override_dh_clean:
	dh_clean
	rm -rf build/ package/build/ package/lib/

override_dh_installchangelogs:
	dh_installchangelogs -- package/changes.txt

get-orig-source:
	dh_testdir
	test -d ../tarballs/. || mkdir -p ../tarballs
	@echo Downloading osmosis from ${SVNREPO}
	svn export ${SVNREPO} ${DESTDIR}
	@echo Removing build-support/repo and debian directory
	rm -rf ${DESTDIR}/build-support/repo ${DESTDIR}/debian
	@echo Building snapshot tarball																	
	tar czf ${DESTTGZ} -C `dirname ${DESTDIR}` `basename ${DESTDIR}`
	@echo Cleaning up
	rm -rf ${DESTDIR}
