## osmosis 0.40.1+ds1

=== debian/changelog ===
osmosis (0.40.1+ds1-7) unstable; urgency=low

  * Added missing dependency on libxz-java (Closes: #680820)

 -- David Paleino <dapal@debian.org>  Tue, 10 Jul 2012 09:10:35 +0200

osmosis (0.40.1+ds1-6) unstable; urgency=low

  * Use a dedicate ivy cache, to don't interfere with user cache.
  * Fix some mistakes in dependency resolution, that led to FTBFS
    (closes: #674314).

 -- Giovanni Mascellani <gio@debian.org>  Fri, 15 Jun 2012 12:24:22 +0200

osmosis (0.40.1+ds1-5) unstable; urgency=low

  * Bump dependency on libcommons-compress-java (Closes: #664597)
  * Bump dependency on checkstyle (Closes: #664602)
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Sat, 14 Apr 2012 19:19:28 +0200

osmosis (0.40.1+ds1-4) unstable; urgency=low

  * Switch dependency from libpg-java to libpostgresql-jdbc-java
    (Closes: #659399)
  * Drop junit4 workaround: now Debian has 4.10
  * Bump Standards-Version to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 08 Mar 2012 08:23:40 +0100

osmosis (0.40.1+ds1-3) unstable; urgency=low

  * Add missing Osmosis JARs to Plexus config (Closes: #656432)

 -- David Paleino <dapal@debian.org>  Fri, 20 Jan 2012 12:24:34 +0100

osmosis (0.40.1+ds1-2) unstable; urgency=low

  * Removing references to libwoodstox-java, which is not necessary to
    build osmosis.

 -- Giovanni Mascellani <gio@debian.org>  Wed, 11 Jan 2012 16:53:25 +0100

osmosis (0.40.1+ds1-1) unstable; urgency=low

  * New upstream version
  * Fix debian/watch and debian/rules' get-orig-source to point to github
  * Refresh patches to apply to the new source
    - added 04-fix_dependencies_versions.patch and
      05-workaround_missing_junit4.10.patch
  * Fix links to protobuf's jar (Closes: #650617, #652754)
  * Add dependencies to libxerces2-java

 -- David Paleino <dapal@debian.org>  Fri, 30 Dec 2011 00:29:51 +0100
