=== debian/control ===
--- 
+++ 
@@ -10,27 +10,28 @@
  , ant-optional
  , debhelper (>= 8~)
  , libcommons-codec-java
- , libcommons-compress-java
+ , libcommons-compress-java (>= 1.2)
  , libcommons-dbcp-java
  , libjpf-java
  , libmysql-java
  , libpostgis-java
- , libpg-java
+ , libpostgresql-jdbc-java
  , libspring-beans-java
  , libspring-context-java
  , libspring-jdbc-java
  , libspring-transaction-java
- , libwoodstox-java
  , libstax2-api-java
  , libbatik-java
  , libprotobuf-java
  , libosmpbf-java
  , libplexus-classworlds-java
- , checkstyle
+ , libxerces2-java
+ , libxz-java
+ , checkstyle (>= 5.4)
  , ivy
- , junit4
+ , junit4 (>= 4.10)
  , default-jdk
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/pkg-osm/osmosis.git
 Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmosis.git
 Homepage: http://wiki.openstreetmap.org/wiki/Osmosis
@@ -41,23 +42,24 @@
  ant
  , default-jre-headless | java6-runtime-headless
  , libcommons-codec-java
- , libcommons-compress-java
+ , libcommons-compress-java (>= 1.2)
  , libcommons-dbcp-java
  , libjpf-java
  , libmysql-java
  , libpostgis-java
- , libpg-java
+ , libpostgresql-jdbc-java
  , libspring-beans-java
  , libspring-context-java
  , libspring-core-java
  , libspring-jdbc-java
  , libspring-transaction-java
- , libwoodstox-java
  , libplexus-classworlds-java
  , libprotobuf-java
  , libosmpbf-java
  , libbatik-java
  , libcommons-pool-java
+ , libxerces2-java
+ , libxz-java
  , ${misc:Depends}
 Description: Command line OpenStreetMap data processor
  Osmosis consists of a series of components that can be chained together
