=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 DEB_JARS := /usr/share/java/mysql-connector-java.jar
 DEB_JARS += /usr/share/java/postgis.jar
 DEB_JARS += /usr/share/java/postgresql.jar
-DEB_JARS += /usr/share/java/wstx-lgpl.jar
 DEB_JARS += /usr/share/java/junit4.jar
 DEB_JARS += /usr/share/java/ant-junit.jar
 DEB_JARS += /usr/share/java/spring3-core.jar
@@ -27,10 +26,7 @@
 XP := xsltproc -''-nonet -''-param man.charmap.use.subset "0"
 
 CURVER  := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
-SVNBASE := http://svn.openstreetmap.org/applications/utils/osmosis/tags
-SVNREPO := ${SVNBASE}/${CURVER}
-DESTDIR := ../tarballs/osmosis-${CURVER}
-DESTTGZ := ../tarballs/osmosis_${CURVER}+ds1.orig.tar.gz
+DESTTGZ := osmosis_${CURVER}+ds1.orig.tar.gz
 
 debian/osmosis.1: debian/osmosis.xml
 	$(XP) -o $@ $(DB2MAN) $<
@@ -44,7 +40,7 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf build/ package/build/ package/lib/
+	rm -rf build/ package/build/ package/lib/ debian/ivy-cache/
 
 override_dh_installchangelogs:
 	dh_installchangelogs -- package/changes.txt
@@ -52,11 +48,15 @@
 get-orig-source:
 	dh_testdir
 	test -d ../tarballs/. || mkdir -p ../tarballs
-	@echo Downloading osmosis from ${SVNREPO}
-	svn export ${SVNREPO} ${DESTDIR}
+	uscan --verbose \
+		--download-version $(CURVER) \
+		--destdir . \
+		--force-download \
+		--rename
+	tar xf osmosis_$(CURVER).orig.tar.gz
 	@echo Removing build-support/repo and debian directory
-	rm -rf ${DESTDIR}/build-support/repo ${DESTDIR}/debian
-	@echo Building snapshot tarball																	
-	tar czf ${DESTTGZ} -C `dirname ${DESTDIR}` `basename ${DESTDIR}`
+	rm -rf openstreetmap-osmosis-*/build-support/repo openstreetmap-osmosis-*/debian
+	@echo Building snapshot tarball
+	tar czf ${DESTTGZ} openstreetmap-osmosis-*/
 	@echo Cleaning up
-	rm -rf ${DESTDIR}
+	rm -rf openstreetmap-osmosis-*/ osmosis_$(CURVER).orig.tar.gz
