## osmosis 0.43.1

=== debian/changelog ===
osmosis (0.43.1-3) unstable; urgency=medium

  * Update 02-fix_plexus.patch to also load Xerces to fix data corruption.
    (closes: #779807)
  * Use jessie branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Mar 2015 09:13:21 +0100

osmosis (0.43.1-2) unstable; urgency=medium

  * Add patch to update generated source for protobuf 2.6.0.
    (closes: #761562)
  * Add patch to increase source compatibility from 1.6 to 1.7.
  * Add patches from upstream master branch.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 27 Sep 2014 21:43:24 +0200

osmosis (0.43.1-1) unstable; urgency=medium

  [ Giovanni Mascellani ]
  * Remove myself from the uploaders list, since I have no time
    anymore to look after this package.

  [ Andreas Tille ]
  * moved to pkg-grass Git repository

  [ Bas Couwenberg ]
  * New upstream release.
    (closes: #710039, #700311)
  * Change Maintainer to Debian GIS Project.
  * Add myself to Uploaders.
  * Restructure control file with cme, changes: Vcs-* URLs.
  * Add gbp.conf to use pristine-tar by default.
  * Drop get-orig-source target, repacking no longer required.
  * Remove dependencies on ant, gradle now used for build.
    (closes: 703635)
  * Enable parallel builds.
  * Bump Debhelper compatibility to 9.
  * Use dh with maven-repo-helper.
  * Add build dependency on libwoodstox-java.
  * Add patch to use packaged libraries during build.
    (closes: #713278)
  * Remove generated files and directories on clean.
  * Bump Standards-Version to 3.9.5, changes: Vcs-* fields.
  * Add patch to get version from changelog instead of git.
  * Add patches from upstream master branch.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 08 Jun 2014 09:54:55 +0200
