## osmosis 0.44.1

=== debian/changelog ===
osmosis (0.44.1-4) unstable; urgency=medium

  * Use postgis-jdbc.jar instead of old postgis.jar symlink in plexus.conf.
    Symlink not provided by libpostgis-java (>= 2.2.0).
    (closes: #808255)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 17 Dec 2015 22:34:44 +0100

osmosis (0.44.1-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update Vcs-Browser and various openstreemap.org URLs to use HTTPS.

  [ Emmanuel Bourg ]
  * Removed the build dependency on checkstyle
  * Build with gradle-debian-helper

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 14 Dec 2015 23:31:54 +0100

osmosis (0.44.1-2) unstable; urgency=medium

  * Team upload.
  * Depend on libnetty-3.9-java instead of libnetty-java

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 28 Jul 2015 16:00:57 +0200

osmosis (0.44.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream, refresh remaining patches.
  * Update alternative JRE dependency for Java 7 to match sourceCompatibility.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Jun 2015 19:10:52 +0200

osmosis (0.43.1-6) unstable; urgency=medium

  * Fix malformed opts=... in watchfile.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 May 2015 14:43:15 +0200

osmosis (0.43.1-5) unstable; urgency=medium

  * Don't compress SQL examples to allow piping into psql with just cat.
  * Add patch from upstream to fix java.lang.ClassCastException for
    java.util.HashMap to org.openstreetmap.osmosis.hstore.PGHStore.
    (closes: #785257)
  * Add patches from upstream master branch, changes include:
    - db-server
    - way-nodes fixes
    - replication URL updates to match current planet.osm.org layout

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 May 2015 16:21:36 +0200

osmosis (0.43.1-4) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 21:05:47 +0200

osmosis (0.43.1-4~exp1) experimental; urgency=medium

  * Update 02-fix_plexus.patch to also load Xerces to fix data corruption.
    (closes: #779807)
  * Update my email to @debian.org address.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Mar 2015 09:45:06 +0100

osmosis (0.43.1-3~exp1) experimental; urgency=medium

  * Update watch file to use github tags instead of the deprecated
    githubredir service.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add upstream metadata.
  * Add patch to fix negative exit status in replicate_osm_file.sh.
    (closes: #772355)
  * Update Vcs-Browser URL to use cgit instead of gitweb.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 10 Jan 2015 13:56:29 +0100
