## osmosis 0.45

=== debian/changelog ===
osmosis (0.45-4) unstable; urgency=medium

  * Update maven.rules for new postgresql-jdbc.
    (closes: #850993)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jan 2017 22:35:55 +0100

osmosis (0.45-3) unstable; urgency=medium

  * Switch to headless variant for default-jdk dependency.
  * Add patch to support protobuf 3.0.0.
    (closes: #835776)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Aug 2016 18:06:06 +0200

osmosis (0.45-2) unstable; urgency=medium

  * Update maven.rules for spring-jdbc.
    (closes: #832869)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Jul 2016 12:39:14 +0200

osmosis (0.45-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Update watch file to handle more tag conventions.
  * Bump Standards-Version to 3.9.8, no changes.
  * Drop 06-java-7.patch, applied upstream.
  * Add maven rule for com.fasterxml.woodstox woodstox-core.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 May 2016 17:32:11 +0200
