=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               default-jdk,
+               default-jdk-headless,
                ant-optional,
                gradle-debian-helper,
                ivy,
@@ -32,9 +32,9 @@
                libxerces2-java,
                libxz-java,
                maven-repo-helper
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmosis.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/osmosis.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmosis.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmosis
 
 Package: osmosis
