## osmosis 0.46

=== debian/changelog ===
osmosis (0.46-2) unstable; urgency=medium

  * Fix README.md installation.
  * Bump Standards-Version to 4.1.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Oct 2017 08:34:57 +0200

osmosis (0.46-1) unstable; urgency=medium

  * New upstream release.
  * Drop protobuf-3.0.0.patch, applied upstream.
    Refresh remaining patches.
  * Bump Standards-Version to 4.1.0, no changes.
  * Update alternative JRE dependency to require Java 8.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Sep 2017 16:52:36 +0200

osmosis (0.45-5) unstable; urgency=medium

  * Apply patch by Emmanuel Bourg to migrate to libplexus-classworlds2-java.
    (closes: #873886)
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Sep 2017 02:04:38 +0200
