=== debian/control ===
--- 
+++ 
@@ -26,20 +26,20 @@
                libspring-transaction-java,
                libstax2-api-java,
                libosmpbf-java,
-               libplexus-classworlds-java,
+               libplexus-classworlds2-java,
                libprotobuf-java,
                libwoodstox-java,
                libxerces2-java,
                libxz-java,
                maven-repo-helper
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmosis.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmosis.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmosis
 
 Package: osmosis
 Architecture: all
-Depends: default-jre-headless | java7-runtime-headless,
+Depends: default-jre-headless | java8-runtime-headless,
          libbatik-java,
          libcommons-codec-java,
          libcommons-compress-java (>= 1.4.1),
@@ -56,7 +56,7 @@
          libspring-jdbc-java,
          libspring-transaction-java,
          libosmpbf-java,
-         libplexus-classworlds-java,
+         libplexus-classworlds2-java,
          libprotobuf-java,
          libxerces2-java,
          libxz-java,
