## osmosis 0.47

=== debian/changelog ===
osmosis (0.47-4) unstable; urgency=medium

  * Bump Standards-Version to 4.3.0, no changes.
  * Apply patch by Emmanuel Bourg to fix FTBFS with updates plexus-classworlds.
    (closes: #923564)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2019 08:12:06 +0100

osmosis (0.47-3) unstable; urgency=medium

  * Apply patches by Markus Koschany to use libmariadb-java.
    (closes: #913307)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Nov 2018 16:14:34 +0100

osmosis (0.47-2) unstable; urgency=medium

  * Drop patches for protobuf 3.0.0.
  * Require at least libprotobuf-java 3.6.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 Oct 2018 15:48:37 +0200

osmosis (0.47-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Drop example-shell-script-fails-syntax-check.patch, applied upstream.
  * Add patch to revert protobuf 3.6.1 changes.
  * Add patch to regenerate protobuf files with protobuf 3.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Sep 2018 10:55:11 +0200

osmosis (0.46-7) unstable; urgency=medium

  * Update watch file to use releases instead of tags.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 18:08:26 +0200

osmosis (0.46-6) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0, no changes.
  * Add patch to disable building osmosis-replication-http module,
    requires Netty 3.x which is being removed from Debian.
    (closes: #905858)
  * Add NEWS file to document HTTP replication removal.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Aug 2018 11:14:02 +0200

osmosis (0.46-5) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 11:18:40 +0200

osmosis (0.46-4) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.
  * Bump Standards-Version to 4.1.4, no changes.
  * Strip trailing whitespace from control & rules files.
  * Build depend on default-jdk & default-jdk-doc, fixes FTBFS:
    javadoc: error - Error fetching URL: file:/usr/share/doc/default-jdk/api/
  * Add patch to fix example-shell-script-fails-syntax-check issue.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Jun 2018 21:21:12 +0200

osmosis (0.46-3) unstable; urgency=medium

  * Update copyright-format URL to use HTTPS.
  * Bump Standards-Version to 4.1.3, no changes.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Mar 2018 14:59:30 +0200
