=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               default-jdk-headless,
+               default-jdk,
+               default-jdk-doc,
                ant-optional,
                gradle-debian-helper,
                ivy,
@@ -16,8 +17,8 @@
                libcommons-dbcp-java,
                libjdepend-java,
                libjpf-java,
-               libmysql-java,
-               libnetty-3.9-java,
+               libmariadb-java,
+#               libnetty-3.9-java,
                libpostgis-java,
                libpostgresql-jdbc-java,
                libspring-beans-java,
@@ -26,15 +27,15 @@
                libspring-transaction-java,
                libstax2-api-java,
                libosmpbf-java,
-               libplexus-classworlds2-java,
-               libprotobuf-java,
+               libplexus-classworlds-java,
+               libprotobuf-java (>= 3.6.1),
                libwoodstox-java,
                libxerces2-java,
                libxz-java,
                maven-repo-helper
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmosis.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmosis.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmosis
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osmosis.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmosis
 
 Package: osmosis
@@ -46,8 +47,8 @@
          libcommons-dbcp-java,
          libcommons-pool-java,
          libjpf-java,
-         libmysql-java,
-         libnetty-3.9-java,
+         libmariadb-java,
+#         libnetty-3.9-java,
          libpostgis-java,
          libpostgresql-jdbc-java,
          libspring-beans-java,
@@ -56,7 +57,7 @@
          libspring-jdbc-java,
          libspring-transaction-java,
          libosmpbf-java,
-         libplexus-classworlds2-java,
+         libplexus-classworlds-java,
          libprotobuf-java,
          libxerces2-java,
          libxz-java,
@@ -70,4 +71,3 @@
     them to other databases and files.
   * Sort data contained in a file.
   * Extract data contained in a bounding box or in a polygon.
-
