=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,3 @@
 
 override_dh_compress:
 	dh_compress -X.conf -X.sql
-
