## osmosis 0.48.2

=== debian/changelog ===
osmosis (0.48.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop protobuf.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jul 2020 20:16:04 +0200

osmosis (0.48.1-2) unstable; urgency=medium

  * Rebuild with protobuf 3.12.2.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jul 2020 06:11:57 +0200

osmosis (0.48.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jun 2020 19:09:26 +0200

osmosis (0.48.0-1) unstable; urgency=medium

  * New upstream release.
  * Add libcommons-{csv,io}-java to (build) dependencies.
  * Refresh patches.
  * Add patch to not require shadow library, not available in buster.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 May 2020 19:37:14 +0200

osmosis (0.47.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Apr 2020 05:59:22 +0200

osmosis (0.47.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop protobuf.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Mar 2020 17:33:41 +0100

osmosis (0.47.2-2) unstable; urgency=medium

  * Add patch to fix FTBFS with protobuf 3.11.4.
    (closes: #944928)
  * Require at least libprotobuf-java 3.11.4.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Mar 2020 10:10:37 +0100

osmosis (0.47.2-1) unstable; urgency=medium

  * New upstream release.
  * Don't use external xerces.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Mar 2020 06:03:18 +0100

osmosis (0.47.1-1) unstable; urgency=medium

  * New upstream release.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Mar 2020 05:50:37 +0100
