## osmosis 0.48.3

=== debian/changelog ===
osmosis (0.48.3-2) unstable; urgency=medium

  * Bump watch file version to 4.
  * Update lintian overrides.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update upstream metadata.
  * Update watch file for GitHub URL changes.
  * Bump debhelper compat to 12, no changes.
  * Add upstream patch to fix build with postgis-java 2021.1.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2022 11:47:26 +0200

osmosis (0.48.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Sep 2020 05:49:51 +0200
