=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                default-jdk,
                default-jdk-doc,
                ant-optional,
@@ -14,12 +14,14 @@
                libbatik-java,
                libcommons-codec-java,
                libcommons-compress-java (>= 1.4.1),
+               libcommons-csv-java,
                libcommons-dbcp-java,
+               libcommons-io-java,
                libjdepend-java,
                libjpf-java,
                libmariadb-java,
 #               libnetty-3.9-java,
-               libpostgis-java,
+               libpostgis-java (>= 1:2021.1.0),
                libpostgresql-jdbc-java,
                libspring-beans-java,
                libspring-context-java,
@@ -28,12 +30,11 @@
                libstax2-api-java,
                libosmpbf-java,
                libplexus-classworlds-java,
-               libprotobuf-java (>= 3.6.1),
+               libprotobuf-java (>= 3.12.2),
                libwoodstox-java,
-               libxerces2-java,
                libxz-java,
                maven-repo-helper
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmosis
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osmosis.git
 Homepage: https://wiki.openstreetmap.org/wiki/Osmosis
@@ -44,7 +45,9 @@
          libbatik-java,
          libcommons-codec-java,
          libcommons-compress-java (>= 1.4.1),
+         libcommons-csv-java,
          libcommons-dbcp-java,
+         libcommons-io-java,
          libcommons-pool-java,
          libjpf-java,
          libmariadb-java,
@@ -59,7 +62,6 @@
          libosmpbf-java,
          libplexus-classworlds-java,
          libprotobuf-java,
-         libxerces2-java,
          libxz-java,
          ${misc:Depends}
 Description: Command line OpenStreetMap data processor
