=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	$(XP) -o $@ $(DB2MAN) $<
 
 %:
-	dh $@ --buildsystem=gradle --with maven_repo_helper --parallel
+	dh $@ --buildsystem=gradle --with maven_repo_helper
 
 override_dh_auto_build:
 	dh_auto_build -- --project-prop osmosisBuildType=RELEASE assemble
